Problem with LUA_API

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Problem with LUA_API

Reuben Thomas-3
I've just tried compiling up luac for my EPOC port. I thought it would be
straightforward, but I forgot that it accesses Lua internals. These are not
flagged LUA_API, so they're not exported from the Lua DLL, so linking the
executable fails.

I'd rather not have to link this one statically, so I'll add all the
LUA_APIs that it needs. But what is needed in general? I'm not sure. Perhaps
another macro such as LUA_INTERNAL_API, so that you can choose to make a
"public" DLL or a "private" DLL (I don't think there are many DLL schemes
that allow different levels of linking). Or you could just take the UNIX
approach and say that all extern functions should have LUA_API in front of
them. Perhaps this is simplest and best.

-- 
http://sc3d.org/rrt/ | plagiarism, n.  the mind burgles